{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.bundles.mac;

  inherit (lib.marleyos) enabled disabled;
in {
  options.marleyos.bundles.mac.enable = lib.mkEnableOption "mac";

  config = lib.mkIf cfg.enable {
    marleyos = {
      isDesktop = true;

      appearance.base = enabled;

      programs = {
        cli = enabled;
        journalctl = lib.mkForce disabled;
        systemctl = lib.mkForce disabled;

        tui = enabled;
        cava = lib.mkForce disabled;
        ncmpcpp = lib.mkForce disabled;

        wezterm = enabled;
      };
    };
  };
}
